/* 13 bit addressed memory module 
 * Michael Robinson 
 */
`timescale 1ns/10ps

module mem13( d, a, we_, oe_, ce_ );
inout [7:0] d;

input [12:0] a;
input we_, oe_, ce_;

reg [7:0] inb;
reg [7:0] dat;
reg [7:0] memarray[8191:0];

wire write_, read_;

assign write_ = we_ | ce_;
assign read_ = oe_ | ce_;

assign d = (read_) ? 8'bzzzzzzzz:memarray[a];

always @( negedge write_ ) begin
   if( read_ == 1 ) 
   begin
      memarray[a] = d;
      //dat <= d;
   end
end

endmodule
